Bug 1184582 - [abrt] libreoffice-core: gcc3::raiseException(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: gcc3::raiseException(): soffice.bin killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:485501daf596bcffa73ef510394...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 17:36 UTC by Milan Bouchet-Valat
Modified: 2015-03-04 10:23 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.2.8.2-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-22 06:04:38 UTC


Attachments (Terms of Use)
File: backtrace (153.42 KB, text/plain)
2015-01-21 17:36 UTC, Milan Bouchet-Valat
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-21 17:36 UTC, Milan Bouchet-Valat
no flags Details
File: core_backtrace (111.13 KB, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: dso_list (33.14 KB, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: environ (2.44 KB, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: maps (159.13 KB, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: open_fds (627 bytes, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-01-21 17:37 UTC, Milan Bouchet-Valat
no flags Details

Description Milan Bouchet-Valat 2015-01-21 17:36:30 UTC
Description of problem:
Just typing some text.

Version-Release number of selected component:
libreoffice-core-4.3.5.2-7.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/milan/CREST/ATER/Attestation%20directeur%20de%20th%C3%A8se2.doc --splash-pipe=5
crash_function: gcc3::raiseException
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.18.2-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #6 gcc3::raiseException at /usr/src/debug/libreoffice-4.3.5.2/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx:269
 #7 cpp2uno_call at /usr/src/debug/libreoffice-4.3.5.2/bridges/source/cpp_uno/gcc3_linux_x86-64/cpp2uno.cxx:207
 #8 cpp_vtable_call at /usr/src/debug/libreoffice-4.3.5.2/bridges/source/cpp_uno/gcc3_linux_x86-64/cpp2uno.cxx:374
 #9 privateSnippetExecutor at /usr/lib64/libreoffice/ure/lib/libgcc3_uno.so
 #10 GrammarCheckingIterator::DequeueAndCheck at /usr/src/debug/libreoffice-4.3.5.2/linguistic/source/gciterator.cxx:568
 #11 osl_thread_start_Impl at /usr/src/debug/libreoffice-4.3.5.2/sal/osl/unx/thread.c:237

Potential duplicate: bug 906983

Comment 1 Milan Bouchet-Valat 2015-01-21 17:36:45 UTC
Created attachment 982460 [details]
File: backtrace

Comment 2 Milan Bouchet-Valat 2015-01-21 17:36:52 UTC
Created attachment 982461 [details]
File: cgroup

Comment 3 Milan Bouchet-Valat 2015-01-21 17:37:07 UTC
Created attachment 982462 [details]
File: core_backtrace

Comment 4 Milan Bouchet-Valat 2015-01-21 17:37:17 UTC
Created attachment 982463 [details]
File: dso_list

Comment 5 Milan Bouchet-Valat 2015-01-21 17:37:23 UTC
Created attachment 982465 [details]
File: environ

Comment 6 Milan Bouchet-Valat 2015-01-21 17:37:31 UTC
Created attachment 982466 [details]
File: limits

Comment 7 Milan Bouchet-Valat 2015-01-21 17:37:45 UTC
Created attachment 982467 [details]
File: maps

Comment 8 Milan Bouchet-Valat 2015-01-21 17:37:50 UTC
Created attachment 982468 [details]
File: open_fds

Comment 9 Milan Bouchet-Valat 2015-01-21 17:37:54 UTC
Created attachment 982469 [details]
File: proc_pid_status

Comment 10 Milan Bouchet-Valat 2015-01-21 17:37:59 UTC
Created attachment 982470 [details]
File: var_log_messages

Comment 11 Stephan Bergmann 2015-01-22 07:54:40 UTC
For some reason, the UNO call to xGC->doProofreading() in DequeueAndCheck throws a RuntimeException, but DequeueAndCheck (being a thread's outermost function) does not catch any exceptions, so aborts.

Comment 12 Fedora Update System 2015-01-23 09:11:04 UTC
libreoffice-4.2.8.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.8.2-3.fc20

Comment 13 Milan Bouchet-Valat 2015-01-23 09:35:40 UTC
That was fast!

Comment 14 Fedora Update System 2015-01-26 02:35:18 UTC
Package libreoffice-4.2.8.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.8.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1127/libreoffice-4.2.8.2-3.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-01-28 09:16:15 UTC
libreoffice-4.2.8.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.8.2-4.fc20

Comment 16 Fedora Update System 2015-02-02 10:43:08 UTC
libreoffice-4.3.5.2-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.5.2-12.fc21

Comment 17 Fedora Update System 2015-02-04 09:25:34 UTC
libreoffice-4.3.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-1.fc21

Comment 18 Fedora Update System 2015-02-09 07:33:04 UTC
libreoffice-4.3.6.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-2.fc21

Comment 19 Fedora Update System 2015-02-19 11:21:17 UTC
libreoffice-4.3.6.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-3.fc21

Comment 20 Fedora Update System 2015-02-22 06:04:38 UTC
libreoffice-4.3.6.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-27 12:22:31 UTC
libreoffice-4.2.8.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.8.2-6.fc20

Comment 22 Fedora Update System 2015-03-04 10:23:58 UTC
libreoffice-4.2.8.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.